<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<link rel="shortcut icon" type="image/png" href="../styles/UMotionFavicon.png" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>UMotion Manual - Dopesheet / Curves View</title>
		<link rel="stylesheet" type="text/css" href="../styles/theme_styles.css" media="screen">
		<link rel="stylesheet" type="text/css" href="../styles/treeview_styles.css" media="screen">
		<link rel="stylesheet" type="text/css" href="../styles/element_styles.css" media="screen">
	</head>
	<body>
		<div class="header">
			<div class="headerLogo">
				<img src="../styles/UMotionLogoHeader.png"></img>
			</div>
			<div class="headerBlueRight">
				<a href="https://www.soxware.com" class="headerLink">soxware.com</a>
			</div>
		</div>
		<div class="versionHeader">
			<p class="versionText">Version: <b>1.22p09</b> </p>
		</div>
		<div class="leftContent">
			<div class="leftContentInner">
				<div class="leftContentHeadline">
					UMotion Manual
				</div>
				<!-- Tree View -->
				<ol class="tree">
					
<li class="file"><a href="../UMotionManual.html">UMotion Manual</a></li>

<li class="file"><a href="Introduction.html">Introduction & Tips</a></li>

<li class="file"><a href="GettingStarted.html">Getting Started</a></li>

<li>
	<label for="VideoTutorials"><a href="VideoTutorials.html" class="treeFolderLink">Video Tutorials</a></label> <input type="checkbox"  id="VideoTutorials" /> 
	<ol>
<li>
	<label for="GeneralTutorials"><a href="GeneralTutorials.html" class="treeFolderLink">General</a></label> <input type="checkbox"  id="GeneralTutorials" /> 
	<ol>
<li class="file"><a href="QuickStart.html">Quick Start Tutorial</a></li>

<li class="file"><a href="Lesson1.html">1) Installation & First Steps</a></li>

<li class="file"><a href="Lesson2.html">2) Pose Editing</a></li>

<li class="file"><a href="Lesson3.html">3) Clip Editor</a></li>

<li class="file"><a href="Lesson4.html">4) Curves & Rotation Modes</a></li>

<li class="file"><a href="Lesson5.html">5) Config Mode</a></li>

<li class="file"><a href="Lesson6.html">6) Export Animations</a></li>

<li class="file"><a href="Lesson7.html">7) Root Motion</a></li>

<li class="file"><a href="Lesson8.html">8) Animation Events</a></li>

<li class="file"><a href="Lesson9.html">9) Pose Mirroring</a></li>
</ol>
</li>

<li>
	<label for="ProfessionalExclusive"><a href="ProfessionalExclusive.html" class="treeFolderLink">UMotion Pro</a></label> <input type="checkbox"  id="ProfessionalExclusive" /> 
	<ol>
<li class="file"><a href="ProLesson1.html">1) Importing Animations</a></li>

<li class="file"><a href="ProLesson2.html">2) Inverse Kinematics</a></li>

<li class="file"><a href="ProLesson3.html">3) Child-Of Constraint</a></li>

<li class="file"><a href="ProLesson4.html">4) Custom Properties</a></li>

<li class="file"><a href="ProLesson5.html">5) IK Pinning</a></li>
</ol>
</li>

<li>
	<label for="InPractice"><a href="InPractice.html" class="treeFolderLink">In Practice</a></label> <input type="checkbox"  id="InPractice" /> 
	<ol>
<li class="file"><a href="InPractice1.html">1) Our First Animation</a></li>

<li class="file"><a href="InPractice2.html">2) Editing Animations</a></li>

<li class="file"><a href="InPractice3.html">3) Customizing an animation for a RPG</a></li>

<li class="file"><a href="InPractice4.html">4) Unity Timeline & Weighted Tangents</a></li>
</ol>
</li>

<li>
	<label for="Jayanam"><a href="Jayanam.html" class="treeFolderLink">Jayanam</a></label> <input type="checkbox"  id="Jayanam" /> 
	<ol>
<li class="file"><a href="Jayanam1.html">UMotion Tutorial</a></li>
</ol>
</li>
</ol>
</li>

<li class="file"><a href="HowToCreateBetterAnimations.html">How to create better animations</a></li>

<li>
	<label for="ClipEditor"><a href="ClipEditor.html" class="treeFolderLink">Clip Editor</a></label> <input type="checkbox" checked id="ClipEditor" /> 
	<ol>
<li>
	<label for="MenuBar"><a href="MenuBar.html" class="treeFolderLink">Menu Bar</a></label> <input type="checkbox"  id="MenuBar" /> 
	<ol>
<li class="file"><a href="MenuBarFile.html">File</a></li>

<li class="file"><a href="MenuBarEdit.html">Edit</a></li>

<li class="file"><a href="MenuBarHelp.html">Help</a></li>
</ol>
</li>

<li class="file"><a href="Preferences.html">Preferences</a></li>

<li class="file"><a href="ImportExport.html">Import / Export</a></li>

<li class="file"><a href="FKtoIKConversion.html">FK to IK Conversion</a></li>

<li>
	<label for="MainNavigation"><a href="MainNavigation.html" class="treeFolderLink">Main Navigation</a></label> <input type="checkbox"  id="MainNavigation" /> 
	<ol>
<li class="file"><a href="ProjectSettings.html">Project Settings</a></li>

<li class="file"><a href="ClipSettings.html">Clip Settings</a></li>
</ol>
</li>

<li class="file"><a href="AnimatedPropertiesList.html">Animated Properties List</a></li>

<li class="file"><a href="RootMotion.html">Root Motion</a></li>

<li class="file"><a href="RotationModes.html">Rotation Modes</a></li>

<li>
	<label for="DopesheetCurves"><a href="DopesheetCurves.html" class="treeFolderLink"><b><u>Dopesheet / Curves View</u></b></a></label> <input type="checkbox" checked id="DopesheetCurves" /> 
	<ol>
<li class="file"><a href="Dopesheet.html">Dopesheet</a></li>

<li class="file"><a href="Curves.html">Curves View</a></li>
</ol>
</li>

<li class="file"><a href="Playback.html">Playback Navigation</a></li>

<li class="file"><a href="Layers.html">Layers</a></li>
</ol>
</li>

<li>
	<label for="PoseEditor"><a href="PoseEditor.html" class="treeFolderLink">Pose Editor</a></label> <input type="checkbox"  id="PoseEditor" /> 
	<ol>
<li>
	<label for="ConfigMode"><a href="ConfigMode.html" class="treeFolderLink">Config Mode</a></label> <input type="checkbox"  id="ConfigMode" /> 
	<ol>
<li>
	<label for="RigHierarchy"><a href="RigHierarchy.html" class="treeFolderLink">Rig Hierarchy</a></label> <input type="checkbox"  id="RigHierarchy" /> 
	<ol>
<li class="file"><a href="IKSetupWizard.html">IK Setup Wizard</a></li>

<li class="file"><a href="MirrorMapping.html">Mirror Mapping</a></li>
</ol>
</li>

<li class="file"><a href="Configuration.html">Configuration</a></li>

<li class="file"><a href="ConfigDisplay.html">Display</a></li>
</ol>
</li>

<li>
	<label for="PoseMode"><a href="PoseMode.html" class="treeFolderLink">Pose Mode</a></label> <input type="checkbox"  id="PoseMode" /> 
	<ol>
<li class="file"><a href="Tools.html">Tools</a></li>

<li class="file"><a href="Channels.html">Channels</a></li>

<li class="file"><a href="Selection.html">Selection</a></li>

<li class="file"><a href="PoseDisplay.html">Display</a></li>

<li class="file"><a href="Animation.html">Animation</a></li>
</ol>
</li>

<li>
	<label for="Constraints"><a href="Constraints.html" class="treeFolderLink">Constraint System</a></label> <input type="checkbox"  id="Constraints" /> 
	<ol>
<li class="file"><a href="InverseKinematics.html">Inverse Kinematics</a></li>

<li class="file"><a href="ChildOf.html">Child-Of</a></li>

<li class="file"><a href="CustomProperty.html">Custom Property</a></li>
</ol>
</li>

<li class="file"><a href="Options.html">Options</a></li>

<li class="file"><a href="ToolAssistant.html">Tool Assistant</a></li>
</ol>
</li>

<li class="file"><a href="EditInPlayMode.html">Edit In Play Mode</a></li>

<li class="file"><a href="UnityTimelineIntegration.html">Unity Timeline Integration</a></li>

<li class="file"><a href="UMotionAPI.html">UMotion API</a></li>

<li class="file"><a href="ExportingAnimationsFAQ.html">Exporting Animations FAQ</a></li>

<li class="file"><a href="Support.html">Support / FAQ</a></li>

<li class="file"><a href="ReleaseNotes.html">Release Notes</a></li>

<li class="file"><a href="KnownIssues.html">Known Issues</a></li>

<li class="file"><a href="Credits.html">Credits</a></li>

				</ol>
			</div>
		</div>
		<div class="mainContent">
			<div class="mainContentInner">
				<h1 class="headline1" id="">Dopesheet / Curves View</h1><h2 class="headline2" id="TimeRuler">Time Ruler</h2><img src="../images/ClipEditorTimeRuler.png" class="image"></img>
<p class="imageText">Time Ruler</p><p class="textBlock">The <b>Timer Ruler</b> units are frames. Units are labeled in the following format <b>second:frame</b> for example <b>1:20</b> stands for 1 second and 20 frames. When the framerate is 30 frames per second as in the screenshot above a new second starts after 30 frames (0:29 ➔ 1:00).</p><h3 class="headline3" id="">Time Ruler Navigation</h3><ul class="listMain">
    <li class="listItem"><span class="listText">
        The green arrow is the frame cursor. The animated GameObject always previews the animation pose of the current frame cursor position.
    </span></li>
    <li class="listItem"><span class="listText">
        By <span class="keyboardKey">left clicking</span> somewhere on the Timer Ruler the frame cursor is set to this position.
    </span></li>
    <li class="listItem"><span class="listText">
        By <span class="keyboardKey">left clicking</span> and dragging, the frame cursor can be dragged. The pose of the animated GameObject is updated accordingly. This can be used to preview the animation. When <span class="keyboardKey">ESCAPE</span> is pressed, dragging is aborted and the frame cursor is reverted to its original position.
    </span></li>
    <li class="listItem"><span class="listText">
        When the frame cursor is changed but the current pose has not applied modifications, a dialog window is asking if the modifications should be discarded or if they should be kept for the new frame.
    </span></li>
    <li class="listItem"><span class="listText">
        The white arrows indicate the preview playback start and end frame. By clicking the play button in the <a href="Playback.html" class="link">Playback Navigation</a> the selected time span is played. This is just for preview and has no influence on the exported animation. If the playback end index is at the last frame of the animation, it will automatically stay at the end (when the last keys are moved or new keys are added etc.).
    </span></li>
</ul><h3 class="headline3" id="">Sync Button</h3><p class="textBlock">This button can be used to synchronize the Clip Editor with Unity's Timeline/Animation Window (see <a href="UnityTimelineIntegration.html" class="link">Unity Timeline Integration</a>).</p><h2 class="headline2" id="">General Controls</h2><p class="textBlock">The following controls apply to both, the Dopesheet and the Curves View.</p><h3 class="headline3" id="">Zoom and Panning</h3><ul class="listMain">
    <li class="listItem"><span class="listText">
        By using the mouse wheel it is possible to zoom into the location where the mouse is currently pointing at. In Curves View, both axes are zoomed at the same time.
    </span></li>
    <li class="listItem"><span class="listText">
        The slider in the upper right corner of the Clip Editor can be used to zoom only the time axis.
    </span></li>
    <li class="listItem"><span class="listText">
        When holding <span class="keyboardKey">CONTROL</span> while operating the mouse wheel, only the time axis is zoomed (useful when in Curves View).
    </span></li>
    <li class="listItem"><span class="listText">
        When holding <span class="keyboardKey">SHIFT</span> while operating the mouse wheel, only the y-axis is zoomed (this only works when in Curves View). When the mouse cursor is hovering the y-axis ruler in the Curves View, only the y-axis is zoomed even when <span class="keyboardKey">CONTROL</span> is not being pressed.
    </span></li>
    <li class="listItem"><span class="listText">
        By click and dragging the end of the horizontal (or vertical when in Curves View) scroll bar, it is also possible to zoom in and out.
    </span></li>
    <li class="listItem"><span class="listText">
        By pressing <span class="keyboardKey">ALT</span> + <span class="keyboardKey">Left Mouse Button</span> or the mouse wheel the Dopesheet and Curves View can be dragged.
    </span></li>
</ul><h3 class="headline3" id="">Selecting</h3><ul class="listMain">
    <li class="listItem"><span class="listText">
        <span class="keyboardKey">Left click</span> selects a key or event and clears the previous selection.
    </span></li>
    <li class="listItem"><span class="listText">
        By <span class="keyboardKey">left clicking</span> and holding it is possible to make a rectangular selection.
    </span></li>
    <li class="listItem"><span class="listText">
    When <span class="keyboardKey">CONTROL</span> is held while clicking on a key or event, it is added or removed from the selection (according to whether it was already selected or not).
    </span></li>
    <li class="listItem"><span class="listText">
    When holding <span class="keyboardKey">SHIFT</span> while <span class="keyboardKey">left clicking</span> on a key or event, all keys or events in the same row starting with the closest and ending with the clicked will be selected.
    </span></li>
</ul><h3 class="headline3" id="">Context Menu</h3><p class="textBlock">When performing a <span class="keyboardKey">context click</span> in the Dopesheet or Curves View, a context menu is shown.</p><table class="themeTable">
    <tr class="themeTableRow">
    <th class="themeTableHeader">Menu Item</th>
        <th class="themeTableHeader">Description</th>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Add Keys To All Properties</td>
        <td class="themeTableCell">This menu item only shows up when the mouse was clicked in the Master Keys or Animation Events section (see <a href="Dopesheet.html" class="link">Dopesheet View</a>). It creates new keys for all animated properties at the current hovered frame. If there are already any key frames for an animated property, it will create a key that fits into the current curve. If there isn't any key for an animated property, it will key the configured <a href="ConfigMode.html#ReferencePose" class="link">Reference Pose</a>.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Add Keys</td>
        <td class="themeTableCell">Adds new keys to all channels of the animated property and the frame the mouse is currently hovering. If there are already any key frames for the animated property, it will create keys for every channel that fit into the current curves. If there isn't any key for an animated property, it will key the configured <a href="ConfigMode.html#ReferencePose" class="link">Reference Pose</a>.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Add Event</td>
        <td class="themeTableCell">Adds a new animation event at the frame the mouse is currently hovering.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Delete</td>
        <td class="themeTableCell">Deletes the clicked or selected keys/events.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Edit Key</td>
        <td class="themeTableCell">Only available in Curves View if the curve isn't read only. Opens a small dialog window in the Curves View that can be used to edit the clicked or selected key(s) frame and value.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Cut</td>
        <td class="themeTableCell">Copies the clicked or selected keys/events into the clipboard and deletes them. </td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Copy</td>
        <td class="themeTableCell">Copies the clicked or selected keys/events into the clipboard.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Paste</td>
        <td class="themeTableCell">Pastes the previously copied keys from the clipboard. Existing keys are overwritten, existing events are merged.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell">Insert</td>
        <td class="themeTableCell">Inserts previously copied keys to the animation clip at the current selected frame. This will move existing keys.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell">Reverse</td>
        <td class="themeTableCell">Inverts all selected keys along the time axis (so that they are played backwards).</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell">Crop to Playback</td>
        <td class="themeTableCell">Crops the current animation clip to the selected playback area (i.e. the area between the white arrows in the time ruler). This affects all animation layers of the animation clip.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Broken Tangents</td>
        <td class="themeTableCell">Sets or resets the clicked or selected keys Broken Tangents mode. Broken Tangents means that the left and right tangents are independent of each other. When tangents are broken, they can only be set to Free, Linear or Constant.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Left or Right Tangent/Free</td>
        <td class="themeTableCell">Sets the clicked or selected keys left or right tangent into Free mode. In this mode, the tangent can be freely adjusted using the tangent handle in the Curves View.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Left or Right Tangent/Linear</td>
        <td class="themeTableCell">Sets the clicked or selected keys left or right tangent into Linear mode. In this mode, the tangent handle is not available in the Curves View. The tangents are always aligned in a straight line to the previous or following key.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Left or Right Tangent/Constant</td>
        <td class="themeTableCell">Sets the clicked or selected keys left or right tangent into Constant mode. In this mode, the tangent handle is not available in the Curves View. The curve retains a constant value between two keys. The value of the left key determines the value of the curve segment.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Both Tangents/Weighted</td>
        <td class="themeTableCell"><b>Available in Unity 2018.1 and higher.</b> Sets the clicked or selected keys left or right tangent into Weighted mode. The tangent handle's length can now be changed. The longer the handle the more weight (or influence) the tangent has on the resulting curve.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Both Tangents/Clamped Auto</td>
        <td class="themeTableCell">Sets the clicked or selected keys left and right tangent into Clamped Auto mode. This is the default tangent mode. Broken tangents are automatically disabled. The tangents are automatically set to make the curve pass smoothly through the key. When editing the key’s frame or value, the tangents adjust to prevent the curve from “overshooting” the target value. The tangent handle is available in the Curves View, if it is used tangents are automatically set to Free.
        </br>
        </br>The tangents of the first and last key are calculated so that the movement smoothly accelerates/decelerates at the beginning/end. This is OK for animation clips that are played once but would cause a noticeable "seam" when the clip is played in a loop. Thus when looping is enalbed in the <a href="Playback.html" class="link">Playback Navigation</a> the first and last key's tangents are calculated so that they blend seamlessly. The Playback Navigation settings only affect the animation preview inside UMotion. Use the loop setting in the <a href="ClipSettings.html" class="link">Clip Settings</a> to enable that behaviour for exported clips.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Both Tangents/Auto</td>
        <td class="themeTableCell">Sets the clicked or selected keys left and right tangent into Auto mode. This mode is the legacy version of Clamped Auto. The tangents are also automatically set to make the curve pass smoothly through the key but "overshooting" is not prevented.
        </br>
        </br>The tangents of the first and last key are calculated so that the movement smoothly accelerates/decelerates at the beginning/end. This is OK for animation clips that are played once but would cause a noticeable "seam" when the clip is played in a loop. Thus when looping is enalbed in the <a href="Playback.html" class="link">Playback Navigation</a> the first and last key's tangents are calculated so that they blend seamlessly. The Playback Navigation settings only affect the animation preview inside UMotion. Use the loop setting in the <a href="ClipSettings.html" class="link">Clip Settings</a> to enable that behaviour for exported clips.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Both Tangents/Free</td>
        <td class="themeTableCell">Sets the clicked or selected keys left and right tangent into Free mode. In this mode, the tangent can be freely adjusted using the tangent handle in the Curves View.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Both Tangents/Free Flat</td>
        <td class="themeTableCell">Sets the clicked or selected keys left and right tangent into Free Flat mode. This mode is a special case of the Free mode, where both tangents are flat. The tangent handle is available in the Curves View. If it is used and tangents aren't flat anymore, tangents are automatically set to Free. This mode is enabled automatically, when the tangent mode was Free and the tangents have been manually edited to be flat.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Both Tangents/Linear</td>
        <td class="themeTableCell">Sets the clicked or selected keys left and right tangent into Linear mode. This will automatically enable the broken tangents mode. The tangent handle is not available in the Curves View. The tangents are always aligned in a straight line to the previous or following key.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Both Tangents/Constant</td>
        <td class="themeTableCell">Sets the clicked or selected keys left and right tangent into Constant mode. This will automatically enable the Broken Tangents mode. The tangent handle is not available in the Curves View. The curve retains a constant value between two keys. The value of the left key determines the value of the curve segment.</td>
    </tr>
    <tr class="themeTableRow">
        <td class="themeTableCell" style="white-space: nowrap;">Both Tangents/Weighted</td>
        <td class="themeTableCell"><b>Available in Unity 2018.1 and higher.</b> Sets the clicked or selected keys left and right tangent into Weighted mode. The tangent handle's length can now be changed. The longer the handle the more weight (or influence) the tangent has on the resulting curve.</td>
    </tr>
    <tr class="themeTableRow">
    <td class="themeTableCell" style="white-space: nowrap;">Select and Set Frame Cursor</td>
        <td class="themeTableCell">Selects the clicked key and moves the frame cursor to the key's position. Very useful for tweaking/polishing animations (especially when using this function's shortcut <span class="keyboardKey">ALT</span> + <span class="keyboardKey">Left Mouse Button</span>).</td>
    </tr>
</table>
				<div class="mainContentFooter">
					<p class="textBlock" style="float:left">Copyright © 2017 - 2020 Soxware Interactive ALL RIGHTS RESERVED</p>
					<p class="textBlock" align="right"><a href="https://forum.unity.com/threads/new-umotion-animation-editor-released.490618/" class="link">Unity Forum Thread</a> | <a href="https://www.facebook.com/Soxware/" class="link">Facebook</a> | <a href="https://twitter.com/SoxwareInteract" class="link">Twitter</a> | <a href="https://www.youtube.com/channel/UCCuE6nI5gHvUQjx0lo6Twtg" class="link">Youtube</a></p>
				</div>
			</div>
		</div>
	</body>
</html>
